/*******************************************************************************
 * Copyright (c) 2011, 2018 fortiss GmbH.
 * 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 * which is available at https://www.apache.org/licenses/LICENSE-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 *******************************************************************************/
package org.fortiss.tooling.kernel.ui.introspection.items;

import java.util.List;

import org.fortiss.tooling.kernel.introspection.IIntrospectionDetailsItem;
import org.fortiss.tooling.kernel.introspection.items.HandlerListIntrospectionDetailsItemBase;
import org.fortiss.tooling.kernel.ui.extension.IContextMenuContributor;
import org.fortiss.tooling.kernel.ui.internal.ContextMenuService;

/** {@link IIntrospectionDetailsItem} for the {@link ContextMenuService}. */
// TODO(JE): name too long. Maybe use Kiss abbreviation for all introspection related words. e.g.
// ConnectionCompositorServiceIntrospectionDetailsUIHandler ->
// ConnectionCompositorServiveKISSHandler
public final class ContextMenuServiceIntrospectionDetailsItem
		extends HandlerListIntrospectionDetailsItemBase<IContextMenuContributor> {
	/** Constructor. */
	public ContextMenuServiceIntrospectionDetailsItem(List<IContextMenuContributor> handlerList) {
		super(handlerList);
	}
}
